Index: tagmanager/tm_workspace.c
===================================================================
--- tagmanager/tm_workspace.c	(revision 5071)
+++ tagmanager/tm_workspace.c	(working copy)
@@ -226,7 +226,7 @@
 		size_t size;
 
 		size = fwrite(str, str_len, 1, fp);
-		free(str);
+		g_free(str);
 		node = g_list_next (node);
 	}
 }
@@ -331,7 +331,7 @@
 			}
 		}
 		globfree(&globbuf);
-		free(clean_path);
+		g_free(clean_path);
   	}
   	else
 #endif
Index: tagmanager/get.c
===================================================================
--- tagmanager/get.c	(revision 5071)
+++ tagmanager/get.c	(working copy)
@@ -710,7 +710,7 @@
 			memcpy(result, &File.fpBuffer[getBufPos()], pos2 - pos1 + 1);
 			result[pos2-pos1+1] = '\0';
 			arglist = getArglistFromStr(result, tokenName);
-			free(result);
+			g_free(result);
 		}
 	}
 	setBufPos (bufferOriginalPosition);
@@ -737,7 +737,7 @@
 		{
 			result[pos2-pos1+1] = '\0';
 			arglist = getArglistFromStr(result, tokenName);
-			free(result);
+			g_free(result);
 		}
 	}
 	fsetpos(File.fp, &originalPosition);
